msodbcsql conflicts with unixODBC-utf16-2.3.1-1.x86_64

msodbcsql conflicts with unixODBC-utf16-2.3.1-1.x86_64

Hi friends, Recently I am installing SQL Server on Linux and end up with a error during installation of SQL Server Tools on Linux: msodbcsql conflicts with unixODBC-utf16-2.3.1-1.x86_64.

Full Error Text:

Error: msodbcsql conflicts with unixODBC-utf16-2.3.1-1.x86_64
Error: Package: msodbcsql-13.1.9.1-1.x86_64 (package-microsoft-com-prod)
Requires: unixODBC >=2.3.1

msodbcsql conflicts with unixODBC-utf16-2.3.1-1.x86_64

To fix this issue first we have to install msodbcsql-13.1.1.0-1, and it will install its dependency unixODBC-utf16-2.3.1-1 itself.

sudo ACCEPT_EULA=Y yum install msodbcsql-13.1.1.0-1

msodbcsql-13.1.9.1-1.x86_64

After installation is done we are done with the manual task. Now you can easily install SQL Server Tools for Linux.

Leave a Reply

Your email address will not be published. Required fields are marked *